Introduzione a Iridis

Iridis® è un applicativo specializzato che permette di gestire con facilità un archivio clienti e di memorizzare e rivedere le relative consultazioni operate dal naturopata-iridologo.

Il programma permette di acquisire le immagini delle iridi da un dispositivo Twain collegato al computer, attraverso una scheda video con driver compatibili VFW (Video For Windows) oppure da una cartella sul computer.

Le immagini acquisite possono essere ingrandite, portate a tutto schermo, confrontate con le iridi di una precedente consultazione e con le mappe iridologiche in archivio; per ciascuna consultazione e per ciascuna iride è possibile acquisire più immagini, per superare eventuali problemi di illuminazione. Le mappe iridologiche possono essere consultate e anche sovrapposte in trasparenza.

Inoltre, il programma permette di introdurre facilmente nuove mappe grazie ad una procedura assistita e di visualizzarle in ogni momento, per consultazione.

Iridis è dotato di funzioni estremamente avanzate per l'esame delle immagini acquisite e di una interfaccia Windows MDI, che permette di eseguire contemporaneamente più funzionalità.

Iridis permette di gestire anche un magazzino prodotti da utilizzare per la prescrizione durante la visita del paziente; inoltre, molte informazioni da introdurre nella scheda cliente possono essere facilmente selezionate da tabelle mantenute dal programma e modificabili dall'utente, in modo da velocizzare al massimo l'ingresso dei dati.

L'operatore ha pochissimi vincoli nell'introduzione delle informazioni, in modo da non dover necessariamente digitare dati ritenuti inessenziali; tutti i campi ed i pulsanti hanno grandi dimensioni, per agevolare la selezione delle varie funzionalità. Tutti i pulsanti ed i campi sono dotati di suggerimenti, che compaiono posizionando per qualche attimo il cursore del mouse sopra l'elemento di interesse.

Un sistema di protezione con password permette di limitare (opzionalmente) l'accesso al programma; tutti i dati dei clienti si trovano in un database protetto, non accessibile dall'esterno.

Altre funzionalità offerte includono:

  • copia di sicurezza degli archivi compressi;
  • compattamento archivi;
  • ripristino archivi da una copia di sicurezza;
  • report con la lista dei clienti in archivio;
  • report con la lista dei prodotti in archivio;
  • funzione album, per scegliere l'immagine migliore tra molte;
  • manuale in linea.

Al primo avvio del programma, è possibile scegliere la modalità Demo per provarne l'utilizzo: in questo caso, ci saranno le seguenti limitazioni:

  • impossibile acquisire immagini;
  • c'è un solo cliente utilizzabile (ZANELLA SIMONE);
  • non è possibile introdurre o cancellare clienti;
  • non è possibile introdurre o cancellare consultazioni;
  • non è possibile salvare le modifiche al cliente o alle consultazioni;
  • ci sono solo tre protocolli disponibili;
  • non è possibile introdurre nuovi protocolli o cancellare quelli esistenti;
  • il pulsante del salvataggio modifiche al protocollo è disabilitato;
  • non è possibile introdurre, cancellare mappe o salvare modifiche a quelle esistenti.

Una volta acquistato il software, è possibile autorizzarlo per l'uso su un PC; all'avvio, premere il pulsante Registra e compilare il campo "Ragione sociale" con il nome dell'iridologo. Questa informazione sarà memorizzata nella licenza e utilizzata nelle stampe, pertanto si raccomanda di verificarne la correttezza. Premere quindi il pulsante appunti per copiare la chiave e inviarla a: iridis@barcodeit.it. Se disponete di un client di posta opportunamente configurato, è anche possibile premere il pulsante con la busta per predisporre l'e-mail. Ricordatevi sempre di specificare nel testo dell'e-mail il riferimento all'ordine originale.

Si prega di notare che l'acquisto di una licenza fornisce i diritti d'uso su un singolo PC; la licenza che viene erogata in seguito alla richiesta consiste in una chiave di attivazione calcolata sul hardware del PC di origine, che verrà inviata via e-mail. Lanciare Iridis, premere il pulsante Attivazione ed incollare il testo ricevuto via posta elettronica, confermando con Ok. Riavviare il programma per attivarlo. La licenza, essendo legata al hardware, non funzionerà su un diverso PC.

Per apprendere il funzionamento del programma, consigliamo di proseguire con la descrizione del pannello di controllo principale.

Iridis®
© 2021 Simone Zanella Productions
Tutti i diritti riservati.


Il pannello di controllo principale

L'immagine soprastante mostra il pannello di controllo principale di Iridis, che compare dopo aver introdotto la password (se abilitata) e confermato la data/ora.

Tutte le funzioni in Iridis sono accessibili attraverso pulsanti sulla barra oppure menu.

I pulsanti contengono le funzioni utilizzate più frequentemente e la loro icona suggerisce la funzionalità invocata con la loro pressione.

In questo caso, da sinistra verso destra abbiamo:

  • la gestione clienti;
  • la gestione protocolli;
  • la visualizzazione delle mappe iridologiche;
  • l'album fotografico;
  • la funzione di copia/ripristino archivi;
  • le impostazioni programma;
  • la guida in linea;
  • l'uscita dal programma;
  • la selezione dell'iride destro;
  • la selezione dell'iride sinistro;
  • la selezione del campo per la digitazione dell'iridoscopia.

Le ultime tre icone appaiono solo durante la gestione di una consultazione.

Tutte queste funzioni si possono invocare anche attraverso il menu, che è così organizzato:

  • File: permette di uscire dal programma;
  • Gestione: permette di gestire i clienti, i prodotti, le mappe e le tabelle di introduzione rapida;
  • Strumenti: permette di modificare le impostazioni, compattare gli archivi, fare una copia o un ripristino degli archivi, visualizzare le mappe in archivio, gestire l'album fotografico;
  • Liste: permette di stampare un report con la lista dei clienti o dei prodotti in archivio;
  • Finestre: permette di disporre le finestre in diversi modi, di minimizzarle o normalizzarle e di passare da una finestra all'altra;
  • ?: mostra informazioni ed aiuto.

L'interazione con i vari strumenti della finestra è stata studiata per garantire la massima produttività e permettere di svolgere tutte le operazioni da tastiera, oltre che da mouse. Come in tutti i programmi per Windows, è possibile utilizzare la tabulazione per passare da un controllo al successivo, oppure digitare la lettera che si trova sottolineata nel nome dei vari comandi, in combinazione con il tasto Alt. Soffermando per qualche istante il cursore del mouse sopra ciascun controllo comparirà un breve testo descrittivo (tooltip) che illustra la sua funzione.

Iridis è realizzato con interfaccia MDI (multiple document interface); per cambiare da una finestra all'altra è possibile utilizzare il menu Finestre oppure premere Ctrl-F6. Un doppio click sulla barra del titolo di una finestra la massimizza, cioé la porta a tutto schermo: in questo caso, per riportarla alle dimensioni normali si può utilizzare il comando di menu Normalizza tutto oppure clickare sul simbolo con le due finestrelle sovrapposte nella barra della finestra sottostante a quella di Iridis.

Per ridimensionare le finestre che lo consentono, portare il cursore sull'angolo in basso a destra, fino a che il cursore cambia forma; fare click con il tasto sinistro e tenendolo premuto ridimensionare la cornice; rilasciare il tasto quando la dimensione raggiunta è soddisfacente. Alcune finestre non possono essere rimpicciolite al di sotto di una certa misura, a causa della presenza della toolbar.

Utilizzare il menu Finestre per navigare tra le varie funzioni aperte; per le funzioni a singola istanza come la gestione clienti e la gestione protocolli, è possibile anche fare click sul pulsante della toolbar principale per portare in primo piano la rispettiva finestra.

Per chiudere una finestra all'interno dell'applicazione, è possibile utilizzare la scorciatoia Ctrl-F4, mentre Alt-F4 permette di chiudere Iridis.


Impostazione della data e dell'ora

Poiché il comportamento e alcuni degli automatismi di Iridis agiscono in base alla data/ora di sistema, all'avvio viene richiesto all'utente di confermare o impostare la data e l'ora corrette. Se necessario, premere il pulsante Modifica e introdurre i valori corretti, oppure premere il pulsante Conferma per accettare i valori proposti.

In ogni caso, Iridis avvertirà l'utente qualora rilevi che la data attuale è anteriore alla data nella quale l'applicativo è stato avviato l'ultima volta.


Gestione Protocolli

Con questa funzione è possibile introdurre, modificare o cancellare un protocollo, che consiste nella descrizione, posologia e prezzo di un articolo.

Premere il pulsante Nuovo per creare un nuovo protocollo; i dati richiesti sono abbastanza auto-esplicativi. Il programma segnalerà, al momento del salvataggio, la presenza di eventuali articoli omonimi.

Per cercare un articolo, digitarne la descrizione (oppure un prefisso della descrizione) nell'apposito campo e premere Invio oppure il pulsante Cerca.

Per creare un nuovo articolo, selezionare un articolo con dati simili (se lo si desidera) e premere il pulsante Nuovo. I campi nella cornice sottostante diventeranno abilitati e potrete introdurre o modificare le informazioni richieste.

Premere Salva per memorizzare l'articolo, Annulla per perdere il lavoro svolto.

Per modificare un protocollo esistente, cercarlo o selezionarlo e premere Modifica; l'interazione procede quindi come per un nuovo articolo.

Per cancellare un protocollo, selezionarlo, premere Elimina e rispondere affermativamente alla conferma di cancellazione.

Premere il pulsante Chiudi per terminare la gestione protocolli.

Qualora altre funzioni che si basano sull'archivio protocolli siano aperte contemporaneamente alle operazioni di modifica, è possibile che sia necessario chiudere e riaprire le relative finestre per rendere visibili le variazioni occorse.


Gestione Mappe

Con questa funzione è possibile introdurre, modificare o eliminare le mappe in archivio.

Premere il pulsante Nuova per introdurre una nuova mappa. Digitare una descrizione e clickare su ciascuno dei riquadri sopra alle scritte "Mappa .." per associare la relativa immagine. Sono supportati i file in formato JPEG e Windows bitmap. Le mappe trasparenti devono:

  • essere a 16 colori;
  • con sfondo bianco e colore principale nero.

Le immagini, una volta importate dal programma, non sono più necessarie.

Premere il pulsante Cancella sottostante a ciascun immagine per rimuoverla.

Selezionare o deselezionare la casella Abilita mappe trasparenti per stabilire se la mappa introdotta possa essere utilizzata o meno come mappa trasparente.

Premere il pulsante Salva per memorizzare la nuova mappa o aggiornare i dati, premere Annulla per perdere il lavoro svolto.

Selezionare dalla lista la mappa da modificare e premere il pulsante Modifica per apportare delle variazioni ad una mappa in archivio.

Per cercare una mappa, digitarne la descrizione (oppure un prefisso della descrizione) nell'apposito campo e premere Invio oppure il pulsante Cerca.

Premere il pulsante Elimina per cancellare una mappa selezionata. La rimozione di una mappa causa anche la rimozione di tutte le immagini associate.

Premere il pulsante Chiudi per terminare la gestione mappe.

Qualora altre funzioni che si basano sull'archivio elaborato siano aperte contemporaneamente alle operazioni di modifica, è possibile che sia necessario chiudere e riaprire le relative finestre per rendere visibili le variazioni occorse.


Gestione Tabelle

Con questa funzione è possibile introdurre o eliminare le descrizioni che compaiono associate ai seguenti campi nella scheda consultazione cliente:

  • Costituzioni
  • Diatesi
  • Viso
  • Risvegli
  • Sapore
  • Colore
  • Stagione
  • O.P. Interno
  • Collaretto
  • Ovalizzazioni
  • Appiattimenti
  • Fughe
  • Raggi e anelli
  • Pupilla
  • A. Fuchs
  • Lacune
  • Pigmentazione
  • Colonna vertebrale
  • Postura
  • Capelli
  • Sedi

Queste tabelle facilitano e velocizzano l'introduzione dei dati.

Digitare una descrizione e premere Inserisci per introdurla nella tabella.

Selezionare la descrizione e premere Elimina per rimuoverla.

Premere il pulsante Chiudi per terminare la gestione tabella.

Qualora altre funzioni che si basano sull'archivio elaborato siano aperte contemporaneamente alle operazioni di modifica, è possibile che sia necessario chiudere e riaprire le relative finestre per rendere visibili le variazioni occorse.


Gestione Clienti

Con questa funzione è possibile inserire/modificare/cancellare i dati dei clienti, rivedere, aggiungere o eliminare delle consultazioni.

Introdurre nel campo Cognome/nome una parte della ragione sociale del cliente e premere Invio oppure il pulsante "Cerca".

Se esiste un solo cliente che soddisfa quanto introdotto, verranno importati i suoi dati e sarà possibile modificarli; se vi sono più clienti corrispondenti, si aprirà una nuova finestra con la lista dei clienti trovati da cui scegliere quello da modificare. Inoltre, in questo campo sono ammesse wild-card "*", che permettono di sostituire un gruppo di lettere qualsiasi. Ad esempio "*SIM*" troverà tutti i clienti che contengono le lettere "SIM" all'interno del nome o del cognome.

Premendo il pulsante Nuovo dopo aver introdotto un nuovo nome di cliente verrà creata una nuova scheda, in cui sarà possibile introdurre i vari dati.

Se il cliente esiste già, alla selezione sarà possibile utilizzare il tasto "Elimina" per rimuovere la sua scheda e tutte le consultazioni.

Il pulsante Estesa permette di cercare un cliente per numero di telefono oppure città/indirizzo.

I dati presenti nella scheda sono:

  • indirizzo;
  • CAP;
  • Città;
  • Provincia;
  • Telefono;
  • Nato il;
  • Località;
  • Sesso;
  • Note.

Tutti i campi sono opzionali.

La lista delle consultazioni mostra le visite sostenute del cliente, ordinate per data crescente; per ogni consultazione viene visualizzata anche la sede in cui ha avuto luogo.

Sopra i pulsanti di salvataggio, annullamento ed eliminazione cliente viene evidenziata la data dell'ultima visita.

I sei pulsanti relativi alle consultazioni sono:

  • Nuova;
  • Modifica;
  • Rimuovi;
  • Prescriz.;
  • Cliente;
  • Iridi.

Seguire il collegamento per ciascun pulsante per ottenere ulteriori informazioni sulla funzione svolta. Tutte le funzioni, ad eccezione di Nuova, richiedono la preventiva selezione di una consultazione.

Nel caso di nuovo cliente, la creazione di una nuova consultazione automaticamente provoca il salvataggio della scheda cliente. Inoltre, la sezione consultazioni è indipendente dai dati nella scheda cliente: l'introduzione di una consultazione, la sua modifica o la sua rimozione hanno luogo nel momento in cui si effettua l'operazione e non al momento in cui si preme il pulsante Salva della scheda cliente.

È necessario concludere con Salva, Annulla oppure Elimina l'operazione in corso per poter chiudere la gestione clienti e di conseguenza Iridis.


Ricerca estesa

Con questa funzione è possibile specificare il criterio per la ricerca dei clienti scegliendo tra:

  • numero di telefono;
  • indirizzo e/o città.

Selezionare quindi il pulsante corrispondente al criterio di ricerca, introdurre i dati richiesti e premere il pulsante Cerca.

Se viene rinvenuto più di un cliente corrispondente, comparirà una lista tra cui scegliere.

I campi che richiedono la digitazione di un dato andrebbero sempre completati tenendo presente che è sufficiente specificare un prefisso significativo (di solito) invece che il dato per esteso. Inoltre, nei campi relativi al numero di telefono, all'indirizzo e alla città sono ammesse wild-card "*", che permettono di sostituire un gruppo di lettere qualsiasi. Ad esempio "*NAZ*" nel campo indirizzo troverà tutti gli indirizzi che contengono le lettere "NAZ" al loro interno.


Nuova consultazione

Alla selezione di una nuova consultazione, la scheda cliente viene portata in secondo piano e al suo posto compare una finestra di dialogo con sette linguette, a ciascuna delle quali corrisponde una scheda con diverse informazioni.

Le sette didascalie sono:

  • Analisi 1;
  • Analisi 2;
  • Analisi 3;
  • Anamnesi;
  • Iridoscopia;
  • Protocolli;
  • Prescrizioni.

Seguire i collegamenti soprastanti per ottenere ulteriori informazioni sulla funzione svolta.

In qualsiasi scheda il pulsante Importa andrà a sostituire il contenuto di tutti i campi di quella scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).

I pulsanti Salva e Annulla sono replicati in ciascuna scheda, ma sono funzionalmente identici. L'annullamento comporta la perdita di tutte le informazioni introdotte; viene comunque chiesta conferma prima di procedere.


Modifica consultazione

Alla richiesta di modifica di una consultazione, la scheda cliente viene portata in secondo piano e al suo posto compare una finestra di dialogo con sette linguette, a ciascuna delle quali corrisponde una scheda con diverse informazioni.

Le sette didascalie sono:

  • Analisi 1;
  • Analisi 2;
  • Analisi 3;
  • Anamnesi;
  • Iridoscopia;
  • Protocolli;
  • Prescrizioni.

Seguire i collegamenti soprastanti per ottenere ulteriori informazioni sulla funzione svolta.

Contemporaneamente all'apertura della prima scheda, Iridis recupererà e visualizzerà in altre due finestre le iridi acquisite, se disponibili; si veda Analisi iridi per ulteriori informazioni.

In ogni scheda compariranno i dati relativi alla consultazione in modifica; in ogni caso, il pulsante "Importa" andrà a sostituire il contenuto di tutti i campi di quella scheda con i corrispondenti campi dell'ultima consultazione (se disponibile), non della precedente.

I pulsanti Salva e Annulla sono replicati in ciascuna scheda, ma sono funzionalmente identici. L'annullamento comporta la perdita di tutte le modifiche effettuate; viene comunque chiesta conferma prima di procedere.


Rimuovi consultazione

Dopo aver selezionato una consultazione, premere il pulsante Rimuovi per cancellarla. Iridis chiederà conferma prima di procedere.

Si ricorda che la rimozione della consultazione è irreversibile, e comporta la perdita di tutte le informazioni introdotte e delle immagini delle iridi eventualmente acquisite.


Analisi iride

La finestra di analisi dell'iride comprende una serie di controlli che permettono di esaminare le caratteristiche dell'immagine e di confrontarla con le mappe in archivio.

Per ingrandire l'immagine, clickare sull'icona della lente con il simbolo "+" all'interno oppure premere il tasto "+" sulla tastiera; per rimpicciolire usare il tasto "-" o la lente con il simbolo "-".

Per navigare l'immagine potete:

  • clickare con il tasto sinistro all'interno dell'immagine e trascinare il mouse;
  • utilizzare le barre di scorrimento orizzontale e verticale, posizionate in basso e sulla destra;
  • usare i tasti con il simbolo della pagina e le quattro frecce nella toolbar.

Premere il pulsante con l'occhio sormontato da una mappa per sovrapporre la mappa trasparente attualmente selezionata; per cambiarla, utilizzare il menu Overlay, che comprende le voci "Colore" e "Trasparenze". La voce "Colore" permette di selezionare il colore che andrà a sostituire il nero nella mappa; questo consente un migliore contrasto, qualora l'occhio sia molto scuro.

Sotto la voce "Trasparenze" sono elencate tutte le mappe trasparenti, per cambiare il riferimento da visualizzare.

La mappa può essere spostata indipendentemente dall'immagine principale dell'occhio, in questo modo:

  • clickare con il tasto destro all'interno della mappa e trascinare il mouse;
  • utilizzare le barre di scorrimento orizzontale e verticale, posizionate sulla sinistra e in alto;
  • usare i tasti con il simbolo del mirino e le quattro frecce nella toolbar.

Per ingrandire la mappa, clickare sull'icona con il simbolo del mirino e "+" oppure premere il tasto "+" assieme a Shift (maiuscole) sulla tastiera; per rimpicciolire usare il tasto "-" assieme a Shift o il simbolo del mirino con "-".

Per togliere la mappa, una volta visualizzata, premere il pulsante con l'occhio senza ulteriori simboli. Per visualizzare o nascondere la mappa è anche possibile premere la barra spaziatrice.

Per scambiare le immagini delle iridi, ad esempio qualora si sia acquisita l'iride destra al posto della sinistra, utilizzare il pulsante con l'occhio sopra le due frecce rossa e nera.

Premere il tasto Invio per portare l'immagine dell'iride a tutto schermo, oppure utilizzare il pulsante con l'occhio all'interno del monitor; in questa modalità non compare alcun controllo, ma restano utilizzabili i tasti "+" e "-" per cambiare lo zoom ed è possibile muoversi per l'immagine trascinando il mouse; premere Esc per uscire dalla modalità di visualizzazione a tutto schermo.

Dalla finestra di analisi iride è possibile, utilizzando la tastiera:

  • passare al campo Iridoscopia nella scheda cliente, premendo F2 oppure scegliendo dal menu la voce "Passa ad iridoscopia";
  • passare all'altra finestra di analisi iride, premendo F3 o F4.

Per portare le due iridi appaiate a tutto schermo usare il pulsante con la bilancia.

In ciascuna finestra di analisi è possibile anche cambiare il contenuto visualizzato, ad esempio per mostrare:

  • una mappa;
  • un'iride da una consultazione precedente.

Per cambiare il contenuto visualizzato, utilizzare il menu, scegliendo:

  • scansione, per mostrare l'iride acquisita;
  • mappa, selezionando una mappa fra quelle in archivio;
  • altra visita, selezionando una consultazione fra quelle in archivio.

Quando si trova selezionata la voce "Scansione" è possibile attraverso il menu copiare l'immagine visualizzata nell'album; inoltre, compare un nuovo menu intitolato "Scansione". Questo menu permette di scegliere tra l'immagine principale e una delle immagini secondarie. L'immagine principale è quella che viene utilizzata per le stampe e nei confronti con le consultazioni precedenti; le immagini secondarie sono ulteriori viste, che possono essere consultate qualora per un difetto di illuminazione una parte dell'iride principale non sia visibile. Quando si acquisisce una nuova immagine per un'iride che è già stata campionata, è possibile sostituire l'immagine principale oppure aggiungere la scansione alle immagini secondarie. In ogni momento è possibile, attraverso il menu "Scansione", impostare un'immagine secondaria come principale e cambiare l'immagine visualizzata (che comparirà contrassegnata da un segno di spunta).

Il pulsante con la croce rossa cancella l'immagine attuale (principale o secondaria); se si cancella l'immagine principale, la prima immagine secondaria prende il suo posto; se non vi sono altre immagini, la finestra viene chiusa. Utilizzare il pulsante "Salva" nella scheda di gestione clienti per chiudere contestualmente le finestre di analisi iridi eventualmente aperte.

Se si seleziona una mappa o un'altra visita, nella toolbar compariranno i tasti "Dx" e "Sx" per permettere di cambiare l'iride o la mappa visualizzata (destra o sinistra). Questo offre la possibilità di mostrare appaiate la mappa e l'iride dello stesso occhio, oppure l'iride appena acquisita e la stessa iride da una precedente consultazione, per valutare eventuali miglioramenti o modifiche nella struttura e nell'aspetto.

La selezione delle immagini per le iridi può essere fatta anche attraverso l'album fotografico.


Acquisizione video

Quando nelle impostazioni programma è selezionata come sorgente video il driver VFW (Video For Windows) al lancio di un'acquisizione si aprirà una nuova finestra con un'anteprima direttamente collegata all'ingresso video. I due menu contengono le seguenti voci:

  • Immagine: riconnetti, cattura, abbandona;
  • Impostazioni: formato video, sorgente video.

L'azione Riconnetti permette di riprovare la connessione alla sorgente video, qualora si siano verificati dei problemi.

L'azione Cattura acquisisce l'immagine visualizzata sullo schermo e può essere ottenuta anche premendo la barra spaziatrice.

Abbandona chiude la finestra annullando l'acquisizione.

L'opzione Formato video permette di impostare alcune caratteristiche del driver video, come la dimensione in pixel e la profondità colori.

L'opzione Sorgente video permette di selezionare altre caratteristiche del driver video, come la luminosità, il contrasto, la tinta, la saturazione, la modalità video e gli ingressi.


Consultazione: analisi 1

La scheda Analisi 1 presenta i dati principali della consultazione, tra cui la sede in cui viene effettuata, la data (automaticamente pre-impostata alla data attuale di sistema, se si tratta di una nuova consultazione), la costituzione, la diatesi ed i principali dati fisici del paziente.

I campi collegati con tabelle presentano una freccetta rivolta verso il basso alla fine del campo: un click del mouse su questo simbolo aprirà la lista di descrizioni contenute nella tabella collegata, ordinate alfabeticamente, fra le quali si potrà scegliere la voce desiderata senza digitarla. In ogni caso, è comunque possibile scrivere una descrizione non presente in archivio.

Premendo uno dei pulsanti con l'immagine dell'occhio Iridis acquisirà dalla sorgente configurata (Twain, cartella su disco o sorgente VFW) l'immagine per l'iride corrispondente, che verrà aperta quindi in una finestra separata per poter essere analizzata.

Se per l'iride indicata esiste già un'immagine acquisita l'utente potrà:

  • sostituire l'immagine principale;
  • aggiungere la selezione alle immagini secondarie;
  • annullare l'operazione.

Qualora si sia invertito l'ordine di acquisizione, cioè l'immagine dell'iride destra sia stata acquisita come sinistra e viceversa, un apposito pulsante nella finestra di analisi permetterà di scambiare le due immagini.

Il pulsante "Album" è funzionalmente analogo a quello presente nella toolbar principale, e apre l'album fotografico.

Il pulsante "Importa" permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).

I campi della scheda Analisi 1 sono:

  • sede;
  • data consultazione;
  • costituzione;
  • diatesi;
  • colore iride;
  • altezza;
  • peso;
  • sport praticati;
  • lingua;
  • orecchio;
  • denti;
  • unghie;
  • viso;
  • micosi;
  • dermatite.


Consultazione: analisi 2

La scheda Analisi 2 presenta alcuni dati secondari relativi alla consultazione.

I campi collegati con tabelle presentano una freccetta rivolta verso il basso alla fine del campo: un click del mouse su questo simbolo aprirà la lista di descrizioni contenute nella tabella collegata, ordinate alfabeticamente, fra le quali si potrà scegliere la voce desiderata senza digitarla. In ogni caso, è comunque possibile scrivere una descrizione non presente in archivio.

Il pulsante "Importa" permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).

I campi della scheda Analisi 2 sono:

  • colonna vertebrale;
  • postura;
  • capelli;
  • mano;
  • risvegli;
  • sapore;
  • alimenti;
  • bevande;
  • colore;
  • stagione.


Consultazione: analisi 3

La scheda Analisi 3 presenta alcuni dati secondari relativi alla consultazione.

I campi collegati con tabelle presentano una freccetta rivolta verso il basso alla fine del campo: un click del mouse su questo simbolo aprirà la lista di descrizioni contenute nella tabella collegata, ordinate alfabeticamente, fra le quali si potrà scegliere la voce desiderata senza digitarla. In ogni caso, è comunque possibile scrivere una descrizione non presente in archivio.

Il pulsante "Importa" permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).

I campi della scheda Analisi 3 sono:

  • O.P. interno;
  • collaretto;
  • ovalizzazioni;
  • appiattimenti;
  • fughe;
  • raggi e anelli;
  • pupilla;
  • A. Fuchs;
  • lacune;
  • pigmentazione;
  • kinesiologico.


Consultazione: anamnesi

La scheda Anamnesi permette di descrivere l'anamnesi storica del paziente ed i principali disturbi lamentati. Entrambi i campi non hanno limitazioni in lunghezza, tuttavia si tenga presente che nella stampa descrizioni eccessivamente lunghe potrebbero apparire troncate.

Il pulsante Importa permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).


Consultazione: iridoscopia

La scheda Iridoscopia permette di introdurre il motivo della richiesta di prestazione e il referto dell'iridoscopia. Entrambi i campi non hanno limitazioni in lunghezza, tuttavia si tenga presente che nella stampa descrizioni eccessivamente lunghe potrebbero apparire troncate.

Il pulsante Importa permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).

I pulsanti Destro e Sinistro permettono di passare alla finestra contenente l'immagine dell'iride destra e sinistra rispettivamente (purché disponibili); in alternativa, dal campo Iridoscopia è possibile premere F3 per passare all'iride destra e F4 per passare alla sinistra.

Nella toolbar principale, durante la consultazione, sono visualizzati tre pulsanti che permettono di passare direttamente all'iridoscopia, all'immagine dell'iride destra oppure sinistra.


Consultazione: protocolli

La scheda Protocolli permette di introdurre una lista di protocolli consigliati per migliorare le condizioni del paziente.

Premere Nuovo per introdurre un nuovo protocollo; il campo Descrizione è collegato all'archivio protocolli, per cui facendo click sul simbolo con la freccia in basso (alla destra del campo) è possibile scorrere i protocolli in ordine alfabetico e selezionarne uno. In alternativa, digitare la descrizione, la posologia ed il prezzo; il nuovo protocollo può essere memorizzato permanentemente nell'archivio protocolli utilizzando il pulsante Salva: Iridis vi avvertirà, chiedendo conferma, qualora esista già un protocollo omonimo.

Premere Ok per confermare l'introduzione, premere Scarta per annullare l'introduzione.

I due tasti freccia in alto permettono di riordinare la lista dei protocolli introdotti, portando le voci in alto o in basso.

Per modificare un protocollo introdotto, selezionarlo, premere il tasto Modifica e quindi procedere come per un nuovo protocollo.

Per cancellare un protocollo in lista, selezionarlo, premere il tasto Elimina e confermare la cancellazione.

I campi visualizzati nella lista protocolli possono essere allargati o ristretti a piacimento agendo con il mouse sulle intestazioni. Nel caso in cui le variazioni apportate non risultino soddisfacenti o comunque si desideri ripristinare le larghezze iniziali, premere il pulsantino rosso alla sinistra dei titoli della tabella.

Il pulsante Importa permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).


Consultazione: prescrizioni

La scheda Prescrizioni permette di introdurre la durata del trattamento raccomandato, eventuali note alimentari e indicazioni. Tutti i campi non hanno limitazioni in lunghezza, tuttavia si tenga presente che nella stampa descrizioni eccessivamente lunghe potrebbero apparire troncate.

Il pulsante Importa permette di sostituire il contenuto di tutti i campi della scheda con i corrispondenti campi dell'ultima consultazione (se disponibile).


Stampa iridi

Questa funzione permette di visualizzare e stampare un'immagine delle iridi acquisite nella consultazione, assieme a data e sede consultazione e ad alcuni dati del cliente:

  • cognome e nome;
  • data di nascita;
  • diatesi;
  • biotipo.

Nel caso in cui l'immagine di un iride non sia disponibile, sarà sostituita dalla corrispondente mappa di Rizzi.

Come per tutti i report di Iridis, la toolbar permette di ingrandire, rimpicciolire o visualizzare in dimensioni reali il documento (pulsanti lente).

I pulsanti pagina con freccia permettono di cambiare la pagina visualizzata.

Premendo il pulsante stampante il documento sarà inviato direttamente al dispositivo selezionato nelle impostazioni programma.

Premere il pulsante con la croce rossa per chiudere il report.


Stampa cliente

Questa funzione permette di visualizzare e stampare un riassunto dei dati introdotti nella consultazione assieme ai dati principali del cliente, all'anamnesi, ai disturbi lamentati, al motivo della richiesta e all'iridoscopia.

In questo report non sono incluse immagini delle iridi o i protocolli consigliati, che possono essere ottenuti rispettivamente attraverso la stampa iridi o la stampa prescrizioni.

Come per tutti i report di Iridis, la toolbar permette di ingrandire, rimpicciolire o visualizzare in dimensioni reali il documento (pulsanti lente).

I pulsanti pagina con freccia permettono di cambiare la pagina visualizzata.

Premendo il pulsante stampante il documento sarà inviato direttamente al dispositivo selezionato nelle impostazioni programma.

Premere il pulsante con la croce rossa per chiudere il report.


Stampa prescrizioni

Questa funzione permette di visualizzare e stampare la lista delle prescrizioni di una consultazione, assieme alle indicazioni alimentari, ai dati principali del cliente e ad un'immagine ridotta delle iridi acquisite.

Per ciascun cliente sono riportati:

  • cognome e nome;
  • diatesi;
  • biotipo.

Altri dati presenti sono:

  • data e sede della consultazione;
  • lista dei prodotti consigliati e relativa modalità d'uso;
  • durata del trattamento;
  • note alimentari;
  • indicazioni.

Nel caso in cui l'immagine di un iride non sia disponibile, sarà sostituita dalla corrispondente mappa di Rizzi.

Come per tutti i report di Iridis, la toolbar permette di ingrandire, rimpicciolire o visualizzare in dimensioni reali il documento (pulsanti lente).

I pulsanti pagina con freccia permettono di cambiare la pagina visualizzata.

Premendo il pulsante stampante il documento sarà inviato direttamente al dispositivo selezionato nelle impostazioni programma.

Premere il pulsante con la croce rossa per chiudere il report.


Impostazione default e stampanti

Con questa funzione è possibile impostare i parametri fondamentali di funzionamento di Iridis: stampanti, sorgente video, password, intestazioni.

La finestra di configurazione è suddivisa in cinque schede, la prima delle quali è rappresentata più sopra.

Questa prima scheda permette di scegliere la stampante utilizzata per le schede clienti (prescrizioni, iridi, dati cliente).

Selezionare dalla lista la stampante desiderata; premere il pulsante Imposta.. per variare la configurazione della stampante.

La seconda scheda permette di specificare se utilizzare una sorgente Twain per acquisire le immagini delle iridi, una cartella su disco oppure una sorgente video compatibile VFW (Video For Windows).

Per cambiare la cartella, premere il pulsante Cambia.. e selezionare un percorso valido.

Nel caso di immagini da cartella, Iridis preleverà e rimuoverà per prima sempre l'immagine più recente, quando richiesto dall'utente.

La configurazione del dispositivo video si effettua direttamente dalla finestra di acquisizione.

La terza scheda permette di modificare la password per l'accesso al programma e di abilitarla o meno.

Quando la password viene abilitata, è necessario introdurla correttamente all'avvio del programma per avere accesso a tutte le funzioni.

ATTENZIONE! Scrivetevi con attenzione la password quando la impostate e fate attenzione a non perderla. Nel caso in cui la password venga abilitata e l'utente non sia più in grado di accedere al programma per sua dimenticanza, sarà necessario far pervenire a SZP un backup degli archivi per recuperare la password di accesso.

La quarta scheda permette di impostare qualifica, titoli e indirizzo dell'iridologo. Ricordiamo che il nome dell'iridologo non è modificabile rispetto a quanto comunicato in sede di richiesta della licenza.

La quinta scheda permette di impostare codice fiscale, partita iva, e-mail, telefono e fax dell'iridologo.

Premere OK per salvare le modifiche effettuate.


Logo per stampe

Con questa funzione è possibile selezionare un nuovo logo da usare nelle stampe accanto all'intestazione; il logo deve essere un file BMP (raccomandato max 400 x 250).

Una volta selezionata la funzione, qualora si esca senza selezionare un file vi sarà richiesto se si desidera cancellare il logo eventualmente esistente, lasciando quindi la sola intestazione. Viceversa, se si seleziona un file valido questo sarà usato in tutte le future stampe.


Compattamento

Compattamento archivi

Con questa funzione è possibile compattare la base di dati utilizzata dal programma.

Prima di procedere con questa opzione, è altamente raccomandata la copia di sicurezza degli archivi, per ripristinare la copia precedente qualora questa operazione non andasse a buon fine.

Dopo averla selezionata, è necessario dare una doppia conferma, in quanto questa funzione ha un effetto globale non reversibile.

Si raccomanda di eseguire questa funzione con frequenza settimanale, per minimizzare la dimensione degli archivi e mantenere elevate le prestazioni del sistema.

Questa funzione, data la sua importanza e delicatezza, richiede che tutte le funzioni del programma siano CHIUSE per poter essere avviata.


Copia/ripristino archivi

Con questa funzione è possibile effettuare una copia di sicurezza (backup) degli archivi del programma oppure ripristinarli (restore) da una copia esistente.

Selezionare l'operazione che si desidera effettuare; premere il pulsante "Cambia" per modificare il percorso di lettura/salvataggio; premere il pulsante "Salva" per effettuare la copia di sicurezza, oppure "Ripristina" per effettuare l'operazione inversa.

Per l'operazione di ripristino è necessario dare una doppia conferma, in quanto questa funzione ha un effetto globale non reversibile.

Il file risultante dal salvataggio è il file iridisarc.zip (compresso); è necessario, pertanto, utilizzare Iridis per ripristinarlo.

Si raccomanda sempre di effettuare un salvataggio con frequenza giornaliera dei dati, alternando almeno due set di dischi, e di mantenere le copie di sicurezza in un luogo diverso da quello in cui si trova installato il programma.

Questa funzione, data la sua importanza e delicatezza, richiede che tutte le funzioni del programma siano CHIUSE per poter essere avviata.


Mostra mappe

Questa funzione permette di visualizzare in una finestra ridimensionabile e riposizionabile una delle mappe iridologiche in archivio.

L'immagine può essere navigata ed ingrandita in diversi modi, utilizzando la toolbar, trascinando il cursore del mouse oppure usando la tastiera.

Per ingrandire l'immagine, clickare sull'icona della lente con il simbolo + all'interno oppure premere il tasto + sulla tastiera; per rimpicciolire usare il tasto - o la lente con il simbolo -.

Per navigare l'immagine potete:

  • clickare con il cursore all'interno della mappa e trascinare il mouse;
  • utilizzare le barre di scorrimento orizzontale e verticale;
  • usare i tasti con il simbolo della pagina e le quattro frecce nella toolbar.

Per selezionare la mappa, utilizzate la casella a discesa in alto a destra; per scambiare tra mappa destra e sinistra usate i tasti nella toolbar: le lettere vuote corrispondono alle mappe trasparenti, quelle piene alle mappe di consultazione.

Premere il tasto Invio per portare la mappa a tutto schermo; in questa modalità non compare alcun controllo, ma restano utilizzabili i tasti "+" e "-" per cambiare lo zoom ed è possibile muoversi per l'immagine trascinando il mouse; premere Esc per uscire dalla modalità di visualizzazione a tutto schermo.

Il pulsante con la croce rossa o il pulsante di chiusura in alto a destra possono essere utilizzati per chiudere la finestra.


Album

L'album è una cartella nella quale è possibile memorizzare temporaneamente le immagini acquisite, per poter poi scegliere quella migliore per rappresentare ciascuna iride. Nell'album sono visualizzate le miniature delle immagini, quattro per pagina. La toolbar presenta diversi simboli, che suggeriscono la funzione svolta e sono di seguito descritti.

La croce rossa permette di chiudere l'album.

L'occhio lancia l'acquisizione delle immagini dalla sorgente selezionata; nel caso di acquisizione da cartella, tutte le immagini presenti saranno importate.

I simboli con la pagina sormontata da una freccia destra o sinistra permettono di cambiare la pagina dell'album.

I simboli "DX" e "SX" permettono di impostare l'immagine attualmente selezionata (rappresentata dal pallino nero e da una cornice) come immagine per l'iride destra o sinistra. Per poter sfruttare questa funzionalità, l'utente deve avere una consultazione aperta. Se per l'iride indicata esiste già un'immagine acquisita l'utente potrà:

  • sostituire l'immagine principale;
  • aggiungere la selezione alle immagini secondarie;
  • annullare l'operazione.

L'occhio dentro il monitor permette di portare a tutto schermo l'immagine selezionata. Questa funzione può essere ottenuta anche facendo doppio click sopra l'immagine; in questa modalità non compare alcun controllo, ma restano utilizzabili i tasti "+" e "-" per cambiare lo zoom ed è possibile muoversi per l'immagine trascinando il mouse; premere Esc per uscire dalla modalità di visualizzazione a tutto schermo.

Il simbolo con le tre frecce blu in circolo permette di aggiornare la visualizzazione dell'album, nel caso in cui siano state aggiunte immagini attraverso le finestre della consultazione.

Il cestino dei rifiuti permette di eliminare (previa conferma) l'immagine selezionata.

Il cestino con la scritta "ALL" sovrapposta permette di svuotare completamente l'album, sempre previa conferma.

Il numero di pagina attuale dell'album e le pagine totali sono sempre indicate in alto a destra.

Il pulsante di chiusura in alto a destra può essere utilizzato per uscire.


Lista clienti

Questa funzione permette di visualizzare e stampare la lista dei clienti in archivio.

Per ciascun cliente sono riportati:

  • cognome e nome;
  • indirizzo;
  • CAP;
  • città;
  • provincia;
  • telefono.

Come per tutti i report di Iridis, la toolbar permette di ingrandire, rimpicciolire o visualizzare in dimensioni reali il documento (pulsanti lente).

I pulsanti pagina con freccia permettono di cambiare la pagina visualizzata.

Premendo il pulsante stampante potrete introdurre l'intervallo di pagine da stampare e selezionare il dispositivo di uscita.

Premere il pulsante con la croce rossa per chiudere il report.


Lista protocolli

Questa funzione permette di visualizzare e stampare la lista dei protocolli in archivio.

Per ciascun protocollo sono riportati:

  • codice;
  • descrizione;
  • posologia;
  • prezzo.

Come per tutti i report di Iridis, la toolbar permette di ingrandire, rimpicciolire o visualizzare in dimensioni reali il documento (pulsanti lente).

I pulsanti pagina con freccia permettono di cambiare la pagina visualizzata.

Premendo il pulsante stampante potrete introdurre l'intervallo di pagine da stampare e selezionare il dispositivo di uscita.

Premere il pulsante con la croce rossa per chiudere il report.


Disponi orizzontalmente

Utilizzare questo comando per disporre le finestre affiancate orizzontalmente. A causa del loro contenuto, non tutte le finestre di Iridis sono ridimensionabili; pertanto il risultato funzionale può variare a seconda delle operazioni attualmente aperte.


Disponi verticalmente

Utilizzare questo comando per disporre le finestre una sopra l'altra in verticale. A causa del loro contenuto, non tutte le finestre di Iridis sono ridimensionabili; pertanto il risultato funzionale può variare a seconda delle operazioni attualmente aperte.


Disponi sovrapposte

Utilizzare questo comando per disporre le finestre una sopra l'altra, parzialmente sovrapposte.


Minimizza tutto

Utilizzare questo comando per ridurre tutte le finestre alla sola barra all'interno del contenitore MDI.

Questo può essere utile nel caso in cui il desktop sia affollato di finestre e si voglia selezionare visivamente una particolare funzione già aperta.

Fare doppio click su una finestra minimizzata per riportarla alle dimensioni normali; un doppio click sulla barra del titolo di una finestra normale la massimizza, cioé la porta a tutto schermo: in questo caso, per riportarla alle dimensioni normali si può utilizzare il comando di menu Normalizza tutto oppure clickare sul simbolo con le due finestrelle sovrapposte nella barra della finestra sottostante a quella di Iridis.


Normalizza tutto

Utilizzare questo comando per ripristinare alle dimensioni normali tutte le finestre all'interno del contenitore MDI.

Questo può essere utile nel caso in cui si siano precedentemente minimizzate tutte le finestre, oppure massimizzata una singola finestra.

Per passare dalla modalità massimizzata a quella normale è anche possibile clickare sul simbolo con le due finestrelle sovrapposte nella barra della finestra sottostante a quella di Iridis.


[Nome finestra]

Utilizzare questo comando per passare velocemente alla finestra con nome corrispondente.

Questo può essere utile nel caso in cui le finestre siano sovrapposte e non si riesca a fare click su almeno una porzione di quella richiesta.

Nel caso in cui il numero di finestre aperte superi la capacità di visualizzazione del menu, comparirà la voce "Altre.." che farà aprire una lista navigabile delle funzioni aperte tra cui poter scegliere.

Ricordiamo che, per le funzioni a singola istanza come la gestione clienti e la gestione protocolli, è possibile anche fare click sul pulsante della toolbar principale per portare in primo piano la rispettiva finestra.


Menu File

Uscita

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Menu Gestione

Clienti

Protocolli

Mappe

Tabelle

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Menu Strumenti

Impostazioni

Logo per stampe

Compatta archivi

Copia archivi

Mappe

Album

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Menu Liste

Clienti

Protocolli

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Menu Finestre

Disponi orizzontalmente

Disponi verticalmente

Disponi sovrapposte

Minimizza tutto

Normalizza tutto

[Nome finestra]

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Menu Aiuto

Aiuto

Informazioni

Selezionare una delle voci di menu soprastanti per ottenere informazioni sulla relativa funzionalità.


Aiuto

Questo comando richiama la guida che state leggendo.


Esci

Uscita

Utilizzare questo comando per uscire, oppure clickare sul pulsante X in alto a destra, oppure ancora premere il pulsante con l'immagine della porta.

Non sarà possibile uscire prima di aver ultimato le varie operazioni eventualmente in corso (es. consultazione).


Informazioni

Questo comando mostra le informazioni sulla versione corrente, sull'autore del programma e sui copyright.